Mail archive
alpine-aports

[alpine-aports] [PATCH 5/5] testing/zathura-ps: move from unmaintained, update

From: Jean-Louis Fuchs <ganwell_at_fangorn.ch>
Date: Sun, 29 Jan 2017 16:57:31 +0100

---
 testing/zathura-ps/APKBUILD      | 28 ++++++++++++++++++++++++++++
 unmaintained/zathura-ps/APKBUILD | 40 ----------------------------------------
 2 files changed, 28 insertions(+), 40 deletions(-)
 create mode 100644 testing/zathura-ps/APKBUILD
 delete mode 100644 unmaintained/zathura-ps/APKBUILD
diff --git a/testing/zathura-ps/APKBUILD b/testing/zathura-ps/APKBUILD
new file mode 100644
index 0000000000..67e156e9af
--- /dev/null
+++ b/testing/zathura-ps/APKBUILD
_at_@ -0,0 +1,28 @@
+# Contributor: Andrew Hills <ahills_at_ednos.net>
+# Contributor: Jean-Louis Fuchs <ganwell_at_fangorn.ch>
+# Maintainer: Jean-Louis Fuchs <ganwell_at_fangorn.ch>
+pkgname=zathura-ps
+pkgver=0.2.4
+pkgrel=0
+pkgdesc="zathura-ps - plugin adds PostScript support to zathura"
+url="https://pwmt.org/projects/$pkgname"
+arch="all"
+license="zlib"
+depends="zathura"
+makedepends="zathura-dev poppler-dev libspectre-dev"
+source="https://pwmt.org/projects/zathura-ps/download/zathura-ps-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	make -C "$_builddir" || return 1
+}
+
+package() {
+	make PREFIX=/usr DESTDIR="$pkgdir" \
+		-C "$_builddir" install || return 1
+}
+
+md5sums="553330eae86da48c0231f348181b9a82  zathura-ps-0.2.4.tar.gz"
+sha256sums="fb9fc7e9e7765fb0aa2935b93ff3663332d0d884df35e8d0b1ea7e4b1fa0abdb  zathura-ps-0.2.4.tar.gz"
+sha512sums="c63cbd4ff032cffa85305393a8e7f2864986e3a8204832cd7f9f12878e2c69fd0393ace91dd7b0fa8829f3a785abc2675d2ecb99dfa71794d699b567be954922  zathura-ps-0.2.4.tar.gz"
diff --git a/unmaintained/zathura-ps/APKBUILD b/unmaintained/zathura-ps/APKBUILD
deleted file mode 100644
index e1e9160779..0000000000
--- a/unmaintained/zathura-ps/APKBUILD
+++ /dev/null
_at_@ -1,40 +0,0 @@
-# Contributor: Andrew Hills <ahills_at_ednos.net>
-# Maintainer: Andrew Hills <ahills_at_ednos.net>
-pkgname=zathura-ps
-pkgver=0.2.3
-pkgrel=0
-pkgdesc="Postscript support for zathura"
-url="https://pwmt.org/projects/$pkgname"
-arch="all"
-license="zlib"
-depends=""
-depends_dev=""
-makedepends="zathura-dev girara-dev libspectre-dev gtk+3.0-dev glib-dev"
-install=""
-subpackages=""
-source="https://pwmt.org/projects/$pkgname/download/$pkgname-$pkgver.tar.gz"
-
-_builddir="$srcdir"/$pkgname-$pkgver
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="7b9c7d25f015c4c4399d57b30a775c02  zathura-ps-0.2.3.tar.gz"
-sha256sums="a9eef74b12aec87ac2c4309f12d0f9c83b228fe64a788ee46b2c3a7c91779aa3  zathura-ps-0.2.3.tar.gz"
-sha512sums="e5ce62f494f45eeb41a3cf5c91633953fd730b4dd448723afb39fa30cb58f887ef71e5ac462503791905c8de758ca0157805b5e672c6e0807d159294e2b29c7a  zathura-ps-0.2.3.tar.gz"
-- 
2.11.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Jan 29 2017 - 16:57:31 GMT